/*
 * aTunes 1.12.0
 * Copyright (C) 2006-2009 Alex Aranda, Sylvain Gaudard, Thomas Beckers and contributors
 *
 * See http://www.atunes.org/wiki/index.php?title=Contributing for information about contributors
 *
 * http://www.atunes.org
 * http://sourceforge.net/projects/atunes
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package net.sourceforge.atunes.kernel.actions;

import java.awt.event.ActionEvent;
import java.util.ArrayList;
import java.util.List;

import javax.swing.AbstractAction;

import net.sourceforge.atunes.gui.images.ImageLoader;
import net.sourceforge.atunes.gui.model.NavigationTableModel;
import net.sourceforge.atunes.kernel.ControllerProxy;
import net.sourceforge.atunes.kernel.Kernel;
import net.sourceforge.atunes.kernel.handlers.DeviceHandler;
import net.sourceforge.atunes.kernel.handlers.PodcastFeedHandler;
import net.sourceforge.atunes.kernel.modules.navigator.PodcastNavigationView;
import net.sourceforge.atunes.kernel.modules.podcast.PodcastFeedEntry;
import net.sourceforge.atunes.kernel.modules.repository.audio.AudioFile;
import net.sourceforge.atunes.utils.LanguageTool;

public class CopyToDeviceAction extends AbstractAction {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7689483210176624995L;

	CopyToDeviceAction() {
		super(LanguageTool.getString("COPY_TO_DEVICE"), ImageLoader.DEVICE);
		putValue(SHORT_DESCRIPTION, LanguageTool.getString("COPY_TO_DEVICE"));
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		List<AudioFile> files = new ArrayList<AudioFile>();
		if (Kernel.getInstance().state.getNavigationView().equals(PodcastNavigationView.class.getName())) {
			int[] rows = ControllerProxy.getInstance().getNavigationController().getNavigationPanel().getNavigationTable().getSelectedRows();
			if (rows.length > 0) {
				files = new ArrayList<AudioFile>();
				for (int element : rows) {
					files.add(new AudioFile(PodcastFeedHandler.getInstance()
							.getDownloadPath(
									(PodcastFeedEntry) ((NavigationTableModel) ControllerProxy.getInstance().getNavigationController().getNavigationPanel().getNavigationTable()
											.getModel()).getSongAt(element))));
				}
			}
		} else {
			files = ControllerProxy.getInstance().getNavigationController().getFilesSelectedInNavigator();
		}
		DeviceHandler.getInstance().copyFilesToDevice(files);
	}

}
