/*
 * aTunes 1.12.0
 * Copyright (C) 2006-2009 Alex Aranda, Sylvain Gaudard, Thomas Beckers and contributors
 *
 * See http://www.atunes.org/wiki/index.php?title=Contributing for information about contributors
 *
 * http://www.atunes.org
 * http://sourceforge.net/projects/atunes
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package net.sourceforge.atunes.kernel.actions;

import java.awt.event.ActionEvent;
import java.util.ArrayList;
import java.util.List;

import javax.swing.AbstractAction;

import net.sourceforge.atunes.gui.images.ImageLoader;
import net.sourceforge.atunes.gui.model.NavigationTableModel;
import net.sourceforge.atunes.kernel.ControllerProxy;
import net.sourceforge.atunes.kernel.handlers.PodcastFeedHandler;
import net.sourceforge.atunes.kernel.modules.podcast.PodcastFeedEntry;
import net.sourceforge.atunes.model.AudioObject;
import net.sourceforge.atunes.utils.LanguageTool;

public class DownloadPodcastEntryAction extends AbstractAction {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1081237259786604605L;

	DownloadPodcastEntryAction() {
		super(LanguageTool.getString("DOWNLOAD_PODCAST_ENTRY"), ImageLoader.DOWNLOAD_PODCAST);
		putValue(SHORT_DESCRIPTION, LanguageTool.getString("DOWNLOAD_PODCAST_ENTRY"));
		setEnabled(false);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		// get selected Files
		int[] rows = ControllerProxy.getInstance().getNavigationController().getNavigationPanel().getNavigationTable().getSelectedRows();
		if (rows.length > 0) {
			List<AudioObject> songs = new ArrayList<AudioObject>();
			for (int element : rows) {
				songs.add(((NavigationTableModel) ControllerProxy.getInstance().getNavigationController().getNavigationPanel().getNavigationTable().getModel()).getSongAt(element));
			}
			// Download Files
			for (int i = 0; i < songs.size(); i++) {
				PodcastFeedEntry podcastFeedEntry = (PodcastFeedEntry) songs.get(i);
				PodcastFeedHandler.getInstance().downloadPodcastFeedEntry(podcastFeedEntry);
			}
		}
	}

}
