/*
 * aTunes 1.12.0
 * Copyright (C) 2006-2009 Alex Aranda, Sylvain Gaudard, Thomas Beckers and contributors
 *
 * See http://www.atunes.org/wiki/index.php?title=Contributing for information about contributors
 *
 * http://www.atunes.org
 * http://sourceforge.net/projects/atunes
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

package net.sourceforge.atunes.kernel.modules.contextInformation.youtube;

import java.util.List;

import javax.swing.SwingUtilities;

import net.sourceforge.atunes.kernel.handlers.ContextInformationHandler;

public class YoutubeMoreResultsRunnable implements Runnable {

	long workerId;
	private String searchString;
	private int startIndex;

	public YoutubeMoreResultsRunnable(String searchString, int startIndex, long currentWorkerId) {
		workerId = currentWorkerId;
		this.searchString = searchString;
		this.startIndex = startIndex;
	}

	@Override
	public void run() {
		if (searchString.length() > 0) {
			final List<YoutubeResultEntry> result = ContextInformationHandler.getInstance().searchInYoutube(searchString, startIndex + YoutubeService.MAX_RESULTS);
			SwingUtilities.invokeLater(new Runnable() {
				@Override
				public void run() {
					ContextInformationHandler.getInstance().notifyYoutubeSearchRetrieved(result, workerId);
				}
			});
		}
	}

}
